org.eclipse.oomph.setup.util

## Class FileUtil

- java.lang.Object
- - org.eclipse.oomph.setup.util.FileUtil

-     public final class FileUtil
      extends Object

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `delete(File file, IProgressMonitor monitor)`
    `static void` | `deleteAsync(File file)`
    `static File` | `rename(File from)`
    `static void` | `rename(File from, File to)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileUtil

          public FileUtil()

  - ### Method Detail

    - #### rename

          public static File rename(File from)
                             throws IOException,
                                    InterruptedException

      Throws:
        `IOException`
        `InterruptedException`

    - #### rename

          public static void rename(File from,
                    File to)
                             throws IOException,
                                    InterruptedException

      Throws:
        `IOException`
        `InterruptedException`

    - #### deleteAsync

          public static void deleteAsync(File file)
                                  throws IOException,
                                         InterruptedException

      Throws:
        `IOException`
        `InterruptedException`

    - #### delete

          public static void delete(File file,
                    IProgressMonitor monitor)
                             throws IOException,
                                    InterruptedException

      Throws:
        `IOException`
        `InterruptedException`

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html